function [q1,q2,q3,q4,q5,kt,h,epshin,kh,tsh,ks]=B3parameter(unit,fc,wc,c,ac,w,to,thick,h,cement,curing,geometry)

switch cement
    case 1
        a1=1;
    case 2
        a1=0.85;
    case 3 
        a1=1.1;
end
switch curing
    case 1
        a2=0.75;
    case 2
        a2=1.2;
    case 3 
        a2=1;
end
switch geometry
    case 1
        ks=1;
    case 2
        ks=1.15;
    case 3 
        ks=1.25;
    case 4
        ks=1.3;
    case 5 
        ks=1.55;
end
  if h == 1
     kh=-0.2;
  elseif h <= 0.98
     kh=1-h^3;
  else   
     kh=-(1.2-0.98^3)*(h-0.98)/0.02+(1-0.98^3);
  end
switch unit
    case 'us'
    E28=57000*sqrt(fc); 
    es=a1*a2*(26*w^(2.1)*fc^(-0.28)+270); 
    kt=190.8*to^-0.08*fc^(-0.25);
    q1=0.6*10^6/E28;
    q2=451.1*c^(0.5)*fc^(-0.9);
    q3=0.29*(wc)^4*q2;
    q4=1.6*0.14*(ac)^(-0.7); %new factor 1.6 added for q4 parameter
    case 'si'
    E28=4734*sqrt(fc); 
    es=a1*a2*(1.9*10^-2*w^(2.1)*fc^(-0.28)+270);
    kt=8.5*to^-0.08*fc^(-1/4);
    q1=0.6*10^6/E28;
    q2=185.4*c^(0.5)*fc^(-0.9);
    q3=0.29*(wc)^4*q2;
    q4=1.6*20.3*(ac)^(-0.7);  %new factor 1.6 added for q4 parameter
end

D=thick;
tsh=kt*(ks*D)^2;
E=@(t) E28*sqrt(t/(4+0.85*t));
epshin=es*E(607)/E(to+tsh);

q5=7.57*10^5*fc^(-1)*(sqrt(epshin^2))^(-0.6);

end