
function [p6,ntsh] = sh_update(data_dur,...
    data_delw,data_dur_sh,data_sh,to,epshin,kh,h,delw_ini,n)

%calculate water loss
%delw=0.75*(1-(h/0.98)^3)*delw_ini;
delw=2.5; %percent

dn = 0;
den = 0;
%calculate auxiliary values
for j = 1 : n
aux(j)= (atanh(data_delw(j)/delw))^2;
den = den + (data_dur(j))*aux(j);
dn = dn + aux(j)^2;
end
tw= den/dn;
ntsh = 1.25*tw;

% calculation of update parameter p6
for i = 1: n
nsh(i) = shrinkage(data_dur_sh(i),to,epshin,kh,ntsh);
nsh2(i) = nsh(i)^2;
shnsh(i) = data_sh(i)*nsh(i);
end

p6= sum(shnsh)/sum(nsh2);
end

